KCOPY(9)

NAME
kcopy - copy data with abort on page fault

SYNOPSIS
#include <sys/systm.h>
int
kcopy(const void *src, void *dst, size_t len);

DESCRIPTION
kcopy() copies len bytes from src to dst, aborting if a fatal page fault is encountered.

kcopy() must save and restore the old fault handler since it is called by uiomove(9), which may be in the path of servicing a non-fatal page fault. kcopy() returns 0 on success and an error number on failure.

SEE ALSO
errno(2), memcpy(9), uiomove(9)